---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libVirtualMachine07agent03.dylib'
relocations:
  - { offsetInCU: 0x5E, offset: 0x5E, size: 0x8, addend: 0x0, symName: __ZL13internalError, symObjAddr: 0x25A90, symBinAddr: 0x8060, symSize: 0x0 }
  - { offsetInCU: 0x83, offset: 0x83, size: 0x8, addend: 0x0, symName: __ZL14targetAppClass, symObjAddr: 0x25A98, symBinAddr: 0x8068, symSize: 0x0 }
  - { offsetInCU: 0xC6, offset: 0xC6, size: 0x8, addend: 0x0, symName: __ZL17agentLoadedMethod, symObjAddr: 0x25AA0, symBinAddr: 0x8070, symSize: 0x0 }
  - { offsetInCU: 0xF4, offset: 0xF4, size: 0x8, addend: 0x0, symName: __ZL19agentFinishedMethod, symObjAddr: 0x25AA8, symBinAddr: 0x8078, symSize: 0x0 }
  - { offsetInCU: 0x10D, offset: 0x10D, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x25AB0, symBinAddr: 0x8080, symSize: 0x0 }
  - { offsetInCU: 0x118, offset: 0x118, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x25AB4, symBinAddr: 0x8084, symSize: 0x0 }
  - { offsetInCU: 0x123, offset: 0x123, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x25AB8, symBinAddr: 0x8088, symSize: 0x0 }
  - { offsetInCU: 0x4BF1, offset: 0x4BF1, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0xEC0, symBinAddr: 0x26C0, symSize: 0xA0 }
  - { offsetInCU: 0x4C57, offset: 0x4C57, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x2270, symBinAddr: 0x3270, symSize: 0x220 }
  - { offsetInCU: 0x4E3C, offset: 0x4E3C, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x1470, symBinAddr: 0x2760, symSize: 0x110 }
  - { offsetInCU: 0x4F32, offset: 0x4F32, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0x1580, symBinAddr: 0x2870, symSize: 0x150 }
  - { offsetInCU: 0x50D8, offset: 0x50D8, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x2490, symBinAddr: 0x3490, symSize: 0xB0 }
  - { offsetInCU: 0x5133, offset: 0x5133, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x29F0, symBinAddr: 0x3540, symSize: 0x80 }
  - { offsetInCU: 0x520E, offset: 0x520E, size: 0x8, addend: 0x0, symName: _nsk_aod_agentLoaded, symObjAddr: 0x18B0, symBinAddr: 0x29C0, symSize: 0x270 }
  - { offsetInCU: 0x54BF, offset: 0x54BF, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x1B20, symBinAddr: 0x2C30, symSize: 0x100 }
  - { offsetInCU: 0x557D, offset: 0x557D, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1C20, symBinAddr: 0x2D30, symSize: 0x160 }
  - { offsetInCU: 0x56F8, offset: 0x56F8, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_20CallStaticVoidMethodEP7_jclassP10_jmethodIDz, symObjAddr: 0x1D80, symBinAddr: 0x2E90, symSize: 0xB0 }
  - { offsetInCU: 0x5794, offset: 0x5794, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x2090, symBinAddr: 0x3120, symSize: 0x150 }
  - { offsetInCU: 0x598C, offset: 0x598C, size: 0x8, addend: 0x0, symName: _nsk_aod_agentFinished, symObjAddr: 0x1E30, symBinAddr: 0x2F40, symSize: 0x1E0 }
  - { offsetInCU: 0x5BF6, offset: 0x5BF6, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x2D70, symBinAddr: 0x35C0, symSize: 0x153 }
...
